# ApiOzoneCreateSnapshotReq Data Model

Ozone create snapshot request payload

Available Since
  v58, or via feature flag `API_OZONE_REPLICATION_USING_PROXY_USER`

Properties
name | data type | description
--- | --- | ---
snapshot | ApiOzoneSnapshot |
proxyUser | string | User that is impersonated for the Ozone command Use `null` to run without impersonation

Example

    {
      "snapshot" : {
        "snapshotName" : "...",
        "bucketRef" : {
          "volume" : "...",
          "bucket" : "..."
        }
      },
      "proxyUser" : "..."
    }